<?php
$data_url="maxanzahl=10";
$server_url="https://www.adfc-tour.de/";
$kreisverband="ADFC XYZ";
$schluessel="";

?>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8" />
<link media="all" rel="stylesheet" type="text/css" href="/static/stylesheet_master.css" />
<link rel="stylesheet" type="text/css" href="/static/tour.css" />
<style>
    td {
        font-size:12pt;
    }
</style>
</head>
<body>
<div class="content">
<p><a href="quellen.zip">Quelltexte</a></p>

<p> Die Funktion <em>hole_rss_data4</em> holt die RSS-Daten ab und formatiert sie zu einem PHP-Array um</p>

<pre>$data= hole_rss_data4 ("<?php echo $kreisverband; ?>", "<?php echo $dataurl;?>", 
                            "<?php echo $server_url;?>", "GEHEIMER_SCHLÜSSEL");
</pre>
<ol>
<li>Gib den Kreisverband an, der die Daten abruft.</li>
<li>Der zweite Parameter kann <a href="../links.php#Abfrage-Parameter">hier</a> zusammengestellt werden.</li>
<li>URL des ADFC-Tour-Servers (normalerweise "http://www.adfc-tour.de/")</li>
<li>Geheimer Schlüssel des Mandanten. Verfügbar im <a href="/tour/edit/links.php">internen Bereich</a>.</li>
</ol>
<p>Diese Daten können dann nach Belieben formatiert ausgegeben werden.</p> 
<?PHP
require_once("rss-client.php");
error_reporting(E_ALL);
ini_set('display_errors', true);
ini_set('html_errors', false);


// im Notfall in einem separaten Skript: Cache leeren
//leere_speicher($kreisverband);


$data= hole_rss_data4 ($kreisverband, $data_url, 600, $server_url, $schluessel
);


echo "<h1>Ausgabe als Tabelle</h1>";
echo "<table>
";
foreach ($data as $tour) {
  echo "<tr>";

  echo "<td>".
    '<a href="'.$tour["link"]. '" target="_blank">'.
    substr($tour["details-date"],8,2).".".
    substr($tour["details-date"],5,2).".".
    substr($tour["details-date"],0,4).   
    "</a></td>\n";
  echo "<td>". 
    substr($tour["details-date"],11,5). ", ".
    $tour["details-startort"] . "<br/>".
    $tour["title"] . 
    "</td>\n";
  echo "<td>". 
    ($tour["details-startort"]) ."<br/>";
  if (0 === strpos($tour["details-schwierigkeit"], 'http')) {
    echo '<img src="'.$tour["details-schwierigkeit"].'"/>';
  } else {
    echo ($tour["details-schwierigkeit"]);
  }
  echo "</td>\n";
  echo "</tr>\n";
}

echo "</table>";

echo "<h1>Rohdaten</h1>
<pre>";
print_r($data);
echo "</pre>";


?>
<p><a href="quellen.zip">Quelltexte</a></p>
</div></body></html>